curl --request GET \
--url https://api.opus.pro/api/exportable-clips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opus.pro/api/exportable-clips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opus.pro/api/exportable-clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "P0000000demo.CUexample1",
"projectId": "P0000000demo",
"runId": "20241113071229217.FP",
"curationId": "CUexample1",
"orgId": "org_Example00000001",
"userId": "google-oauth2|100000000000000000001",
"storageUsed": 15537888,
"durationMs": 19478,
"title": "Connect Through Passion: The Power of Ensemble Performance",
"text": "Clip text content",
"createdAt": "2024-11-13T07:18:22.811Z",
"updatedAt": "2024-11-13T07:18:22.811Z",
"productTier": "PRO",
"renderPref": {
"enableAutoLayout": false,
"enableFillLayout": false,
"enableFitLayout": false,
"fitLayoutCropRatio": "4:3",
"enableSplitLayout": true,
"enableThreeLayout": true,
"enableFourLayout": true,
"enableScreenLayout": true,
"enableVisualHook": false,
"enableWatermark": false,
"enableCrop": true,
"enableCaption": true,
"enableUppercase": true,
"enableHighlight": true,
"enableEmoji": true,
"font": {
"color": "#ffffff",
"style": [
"900"
],
"family": "Komika-axis",
"stroke": {
"enabled": false,
"color": "#000000FF",
"width": 16
},
"shadow": {
"enabled": true,
"color": "#FFFFFFFF",
"x": 2,
"y": 2,
"blur": 16
}
},
"highlightColor": {
"primary": "#04f827",
"secondary": "#FFFD03"
}
},
"uriForPreview": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/esd.mp4?v=1731482302577650",
"uriForExport": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/ehd.mp4?v=1731482302564330",
"timeRanges": [
[
192170,
211630
]
],
"keywords": [
"Q&A"
],
"promptName": "Q&A",
"description": "Experience the magic of live performance as our talented cellist captivates the audience with her passionate playing. Witness the seamless coordination of the ensemble in a breathtaking display of musical artistry that will leave you inspired!",
"hashtags": "#ClassicalMusic #CelloPerformance #EnsembleMusic #LiveConcert #MusicPassion #CoordinatedPerformance #MusicalArtistry #Cellist #AudienceEngagement #StageMagic",
"genre": "Auto",
"subgenre": "general",
"clipCopilotTaskId": "taskid"
}
]Get Clips
Retrieve a list of clips for a specific project.
Introduction
TheGET /api/exportable-clips endpoint returns a list of clips that are available for use in your projects. Each clip is associated with a unique ID that you can use to reference it in your project.
Request Parameters
q(required): Query type, must be one offindByProjectIdfindByCollectionId.projectId(required when q=findByProjectId): The unique identifier of the project.collectionId(required when q=findByCollectionId): The unique identifier of the collection.
Example
curl --request GET \
--url 'https://api.opus.pro/api/exportable-clips?q=findByProjectId&projectId=<PROJECT_ID>' \
--header 'Authorization: <API_KEY>' \
--header 'x-opus-org-id: <ORG_ID>'
API_KEY, PROJECT_ID, and ORG_ID with your actual values.Playground
Generate Code Snippet
Response Schema
API Response Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Organization ID. Required for users with multiple organizations.
"org_Example00000001"
Query Parameters
Query type
findByCollectionId, findByProjectId "findByProjectId"
Project ID, required when q=findByProjectId
"P0000000demo"
Collection ID, required when q=findByCollectionId
"xmAwhhFi0IJt"
Page Num, started with 1
1
Page Size
10
Response
Successfully retrieved exportable clips
Full clip id. Format: {project_id}.{curation_id}
"P0000000demo.CUexample1"
Project ID
"P0000000demo"
Run ID
"20241113071229217.FP"
Curation ID
"CUexample1"
Organization ID
"org_Example00000001"
User ID
"google-oauth2|100000000000000000001"
Storage used in bytes
15537888
Duration in milliseconds
19478
Title of the clip
"Connect Through Passion: The Power of Ensemble Performance"
Text content of the clip
"Clip text content"
Creation date
"2024-11-13T07:18:22.811Z"
Last update date
"2024-11-13T07:18:22.811Z"
Product tier
"PRO"
Render preference
Show child attributes
Show child attributes
{
"enableAutoLayout": false,
"enableFillLayout": false,
"enableFitLayout": false,
"fitLayoutCropRatio": "4:3",
"enableSplitLayout": true,
"enableThreeLayout": true,
"enableFourLayout": true,
"enableScreenLayout": true,
"enableVisualHook": false,
"enableWatermark": false,
"enableCrop": true,
"enableCaption": true,
"enableUppercase": true,
"enableHighlight": true,
"enableEmoji": true,
"font": {
"color": "#ffffff",
"style": ["900"],
"family": "Komika-axis",
"stroke": {
"enabled": false,
"color": "#000000FF",
"width": 16
},
"shadow": {
"enabled": true,
"color": "#FFFFFFFF",
"x": 2,
"y": 2,
"blur": 16
}
},
"highlightColor": {
"primary": "#04f827",
"secondary": "#FFFD03"
}
}
Google Cloud Storage URI of video for preview
"https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/esd.mp4?v=1731482302577650"
Google Cloud Storage URI of video for export/download
"https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/ehd.mp4?v=1731482302564330"
Original time ranges of the clip (in seconds)
[[192170, 211630]]
Keywords of this clip
["Q&A"]
Prompt name
"Q&A"
Description of the clip
"Experience the magic of live performance as our talented cellist captivates the audience with her passionate playing. Witness the seamless coordination of the ensemble in a breathtaking display of musical artistry that will leave you inspired!"
Hashtags for the clip
"#ClassicalMusic #CelloPerformance #EnsembleMusic #LiveConcert #MusicPassion #CoordinatedPerformance #MusicalArtistry #Cellist #AudienceEngagement #StageMagic"
Genre of the clip
"Auto"
Subgenre of the clip
"general"
Clip copilot task ID
"taskid"
Was this page helpful?